cURL
curl --request GET \
--url https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "s3",
"properties": {
"bucket": {
"type": "string",
"required": true
},
"credentials": {
"type": "object",
"required": false,
"or": [
{
"aws-access-key": {
"type": "string",
"required": true
},
"aws-secret-key": {
"type": "string",
"required": true
}
},
{
"role_arn": {
"type": "string",
"required": true
},
"external_id": {
"type": "string",
"required": true
}
}
]
},
"region": {
"type": "string",
"required": false
},
"directory": {
"type": "string",
"required": false
},
"endpoint_url": {
"type": "string",
"required": false
}
}
}{
"error": "Destination type not found"
}交付设置
获取目标类型架构
获取配置特定交付目的地类型(如 s3、sftp、gcs 或 webhook)所需的确切字段和凭证。
GET
/
datasets
/
delivery_settings
/
{destination_type}
/
schema
cURL
每个由 Bright Data 支持的交付目标都有自己的字段集。例如,
s3 需要一个 bucket 和访问密钥/密钥对或 IAM 角色 ARN 加外部 ID,而 sftp 需要主机和凭证字段。使用您计划使用的目标类型调用此端点,然后在调用 更新视图交付设置 时在 deliver 对象中提供返回的字段。
首先使用 获取交付选项 列出可以作为
destination_type 传递的有效值。授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer YOUR_API_KEY
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
路径参数
The identifier of the delivery strategy. Supported values: api_pull, webhook, email, gcs, gcp_pubsub, s3, snowflake, ali_oss, sftp, azure.
示例:
"s3"
此页面对您有帮助吗?